"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCli = exports.setupYargs = void 0;
const yargs = require("yargs");
function setupYargs(commands, options, config = {}) {
    yargs.options(options)
        .parserConfiguration({ 'boolean-negation': true })
        .recommendCommands()
        .config(config)
        .example([
        ['init', 'Setup user-flows over prompts']
    ])
        .help();
    commands.forEach((command) => yargs.command(command.command, command.description, (command === null || command === void 0 ? void 0 : command.builder) || (() => {
    }), command.module.handler));
    return yargs;
}
exports.setupYargs = setupYargs;
function runCli(cliCfg) {
    // `.argv` to get ars as plain obj available
    setupYargs(cliCfg.commands, cliCfg.options, cliCfg.config).argv;
}
exports.runCli = runCli;
//# sourceMappingURL=index.js.map